'use strict';

exports.__esModule = true;
exports.listenerReducer = listenerReducer;

var _actions = require('./actions');

function listenerReducer() {
	var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

	var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
	    type = _ref.type,
	    payload = _ref.payload;

	if (type === _actions.CREATE_CONNECTION) return Object.assign({}, state, { c: payload });
	if (type === _actions.ON_MESSAGE) {
		return Object.assign({}, state, { onMessage: payload.data });
	}
	return state;
}